%{
#include <stdio.h>

extern int yylex();
extern int yylineno;
void yyerror(const char*);
#define YYERROR_VERBOSE yes
#define YYDEBUG 1
%}

%union {
	char* string;
	double floatValue;
	int intValue;
}

// used tokens (KW is abbreviation for keyword)
%token AND
%token OR
%token EQ
%token NEQ
%token LEQ
%token GEQ
%token LSS
%token GRT
%token KW_BOOLEAN
%token KW_DO
%token KW_ELSE
%token KW_FLOAT
%token KW_FOR
%token KW_IF
%token KW_INT
%token KW_PRINTF
%token KW_RETURN
%token KW_VOID
%token KW_WHILE
%token CONST_INT
%token CONST_FLOAT
%token CONST_BOOLEAN
%token ID // Identifier

%%

program:
	;


%%

int main() {
	yydebug=1;
	yyparse();
	
	return 0;
}

void yyerror(const char* msg) {
}
